Package javax.mail.search

# Class OrTerm

java.lang.Object
javax.mail.search.SearchTerm
javax.mail.search.OrTerm

All Implemented Interfaces:
  `Serializable`

public final class OrTerm extends SearchTerm
This class implements the logical OR operator on individual SearchTerms.

Author:
  Bill Shannon, John Mani
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`OrTerm(SearchTerm[] t)`
Constructor that takes an array of SearchTerms.
`OrTerm(SearchTerm t1, SearchTerm t2)`
Constructor that takes two operands.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Equality comparison.
`SearchTerm[]`
`getTerms()`
Return the search terms.
`int`
`hashCode()`
Compute a hashCode for this object.
`boolean`
`match(Message msg)`
The OR operation.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OrTerm

public OrTerm(SearchTerm t1, SearchTerm t2)
Constructor that takes two operands.

Parameters:
  `t1` - first term
  `t2` - second term

### OrTerm

public OrTerm(SearchTerm[] t)
Constructor that takes an array of SearchTerms.

Parameters:
  `t` - array of search terms

## Method Details

### getTerms

public SearchTerm[] getTerms()
Return the search terms.

Returns:
  the search terms

### match

public boolean match(Message msg)
The OR operation.

The terms specified in the constructor are applied to the given object and the OR operator is applied to their results.

Specified by:
  `match` in class `SearchTerm`
Parameters:
  `msg` - The specified SearchTerms are applied to this Message and the OR operator is applied to their results.
Returns:
  true if the OR succeds, otherwise false

### equals

public boolean equals(Object obj)
Equality comparison.

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()
Compute a hashCode for this object.

Overrides:
  `hashCode` in class `Object`